# Created by pyp2rpm-3.3.3
%global pypi_name mongoengine

Name:           python-%{pypi_name}
Version:        0.24.1
Release:        %mkrel 1
Summary:        ORM-like layer on top of PyMongo
Group:          Development/Python
License:        MIT
URL:            http://mongoengine.org/
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pymongo) >= 3.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(readthedocs-sphinx-ext)
BuildRequires:  python3-gridfs

%description
MongoEngine is a Python Object-Document Mapper for working with MongoDB.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pymongo) >= 3.4
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
MongoEngine is a Python Object-Document Mapper for working with MongoDB.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%doc html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Jul 02 2022 papoteur <papoteur> 0.24.1-1.mga9
+ Revision: 1867083
- new 0.24.1

* Fri Jun 24 2022 papoteur <papoteur> 0.24.0-3.mga9
+ Revision: 1865997
- Mass Rebuild for dependencies

* Tue Mar 29 2022 umeabot <umeabot> 0.24.0-2.mga9
+ Revision: 1832828
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.24.0-1.mga9
+ Revision: 1783737
- version 0.24.0
- rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 0.23.1-1.mga9
+ Revision: 1743459
- new version 0.23.1

* Sat Jun 26 2021 wally <wally> 0.18.2-3.mga9
+ Revision: 1732377
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.18.2-2.mga8
+ Revision: 1538954
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 0.18.2-1.mga8
+ Revision: 1463423
- imported package python-mongoengine

